Skip to content
Docs

Check Create NKS Cluster Availability

POST/v1/nks/clusters/availability

Check if an NKS cluster can be created

Body ParametersJSONExpand Collapse
autoscaling: boolean

Whether to enable autoscaling for the Cluster.

kubernetes_version: string

Kubernetes version for the Cluster.

name: string

Name of the Cluster.

project_id: string

Project ID to create the Cluster in.

region: RegionName

Region the resource is in.

vpc_id: string

ID of the VPC to use for the Cluster.

tags: optional array of string

Tags to attach to the Cluster.

Check Create NKS Cluster Availability

curl https://api.nirvanalabs.io/v1/nks/clusters/availability \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY" \
    -d '{
          "autoscaling": true,
          "kubernetes_version": "v1.34.4",
          "name": "my-cluster",
          "project_id": "123e4567-e89b-12d3-a456-426614174000",
          "region": "us-sva-2",
          "vpc_id": "123e4567-e89b-12d3-a456-426614174000",
          "tags": [
            "production",
            "ethereum"
          ]
        }'
Returns Examples